Subject: Re: [PATCH 01/15] irqchip: Allow to compile bcmstb on other platforms

From: Marc Zyngier <[email-masked]>
Date: Mon, 14 Dec 2020 16:20:36 +0000

Hi Maxime,

On 2020-12-14 15:27, Maxime Ripard wrote:
> Hi Marc,
> 
> On Thu, Dec 10, 2020 at 05:59:09PM +0000, Marc Zyngier wrote:

[...]

>> I'm always sceptical of making interrupt controllers user-selectable.
>> Who is going to know that they need to pick that one?
>> 
>> I'd be much more in favour of directly selecting this symbol
>> from DRM_VC4_HDMI_CEC, since there is an obvious dependency.
> 
> It's a bit weird to me that the HDMI CEC support selects it, since that
> interrupt controller is external and here no matter what.

 From glancing at the series, I was under the impression that these
controllers were there for the sole benefit of the HDMI controllers.
Is there anything else connected to them?

> Would selecting it from the ARCH_* Kconfig option work for you?

Sure. My only ask is that the low level plumbing is selected without
requiring any user guesswork.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel